Class | ActiveSupport::Multibyte::UnicodeDatabase
In: | lib/active_support/multibyte/unicode_database.rb
Parent: | Object

Holds static data from the Unicode database

### Methods

=== dirname filename load new

### Constants

ATTRIBUTES | = | :codepoints, :composition_exclusion, :composition_map, :boundary, :cp1252

### Public Class methods

dirname()

Returns the directory in which the data files are stored

filename()

Returns the filename for the data file for this version

new()

### Public Instance methods

===(other)
load()

Loads the Unicode database and returns all the internal objects of UnicodeDatabase.

[Validate]